Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.protocols.email.beans
Class BodyPartInterface

All Known Implementing Classes:
  BodyPart

    public interface class BodyPartInterface

BodyPartInterface defines methods common to all types of e-mail body parts.

(Published)

Method Summary
`java.io.InputStream` | `getBodyStream()`
`long` | `getByteCount()`
`java.io.InputStream` | `getCleartextBodyStream()`
`java.io.InputStream` | `getContentStream()`
`java.lang.String` | `getContentType()`
`java.lang.String` | `getEncoding()`
`java.util.Dictionary` | `getHeaderDictionary()`
`java.io.InputStream` | `getHeaderStream()`
`long` | `getLineCount()`
`java.util.Vector` | `getSubParts()`

Method Detail

### getContentStream

    java.io.InputStream getContentStream()
                                         throws java.io.IOException,
                                                IfsException

  Throws:
    `java.io.IOException`
    `IfsException`

### getHeaderStream

    java.io.InputStream getHeaderStream()
                                        throws java.io.IOException,
                                               IfsException

  Throws:
    `java.io.IOException`
    `IfsException`

### getBodyStream

    java.io.InputStream getBodyStream()
                                      throws java.io.IOException,
                                             IfsException

  Throws:
    `java.io.IOException`
    `IfsException`

### getCleartextBodyStream

    java.io.InputStream getCleartextBodyStream()
                                               throws java.io.IOException,
                                                      IfsException

  Throws:
    `java.io.IOException`
    `IfsException`

### getByteCount

    long getByteCount()

### getLineCount

    long getLineCount()

### getContentType

    java.lang.String getContentType()

### getEncoding

    java.lang.String getEncoding()

### getSubParts

    java.util.Vector getSubParts()

### getHeaderDictionary

    java.util.Dictionary getHeaderDictionary()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD